---
title: "API Reference"
description: "Every endpoint in the OnePageCRM REST API, with request and response fields and copy-ready curl."
canonical_url: https://developer.onepagecrm.com/api/reference/
source: Markdown mirror of https://developer.onepagecrm.com/api/reference/
---

The OnePageCRM REST API — every endpoint, with request and response fields and copy-ready curl.

- Base URL: `https://app.onepagecrm.com/api/v3`
- Auth: HTTP Basic — `user_id` as username, `api_key` as password. See https://developer.onepagecrm.com/api/authentication/.
- Format: JSON request and response bodies.

## CRM Core

### Contacts — https://developer.onepagecrm.com/api/reference/contacts/

- **GET** `/contacts` — [Get a list of contacts](https://developer.onepagecrm.com/api/reference/contacts/get-contacts/)
- **POST** `/contacts` — [Create a contact](https://developer.onepagecrm.com/api/reference/contacts/post-contacts/)
- **GET** `/contacts/{contact_id}` — [Get a specific contact](https://developer.onepagecrm.com/api/reference/contacts/get-contacts-contact_id/)
- **PUT** `/contacts/{contact_id}` — [Update a specific contact](https://developer.onepagecrm.com/api/reference/contacts/put-contacts-contact_id/)
- **DELETE** `/contacts/{contact_id}` — [Delete a specific contact](https://developer.onepagecrm.com/api/reference/contacts/delete-contacts-contact_id/)
- **POST** `/contacts/{contact_id}/contact_photo` — [Add a contact photo](https://developer.onepagecrm.com/api/reference/contacts/post-contacts-contact_id-contact_photo/)
- **PUT** `/contacts/{contact_id}/contact_photo` — [Update a contact's photo](https://developer.onepagecrm.com/api/reference/contacts/put-contacts-contact_id-contact_photo/)
- **DELETE** `/contacts/{contact_id}/contact_photo` — [Remove a contact's photo](https://developer.onepagecrm.com/api/reference/contacts/delete-contacts-contact_id-contact_photo/)
- **GET** `/contacts/filters/{filter_id}` — [Show contacts that meet the criteria of a filter](https://developer.onepagecrm.com/api/reference/contacts/get-contacts-filters-filter_id/)
- **DELETE** `/contacts/delete` — [Delete multiple contacts](https://developer.onepagecrm.com/api/reference/contacts/delete-contacts-delete/)
- **POST** `/contacts/{contact_id}/google_contacts` — [Save a specific OnePageCRM contact to Google Contacts](https://developer.onepagecrm.com/api/reference/contacts/post-contacts-contact_id-google_contacts/)
- **GET** `/contacts/{contact_id}/actions` — [Get all actions for a specific contact](https://developer.onepagecrm.com/api/reference/contacts/get-contacts-contact_id-actions/)
- **POST** `/contacts/{contact_id}/actions` — [Create an action for a specific contact](https://developer.onepagecrm.com/api/reference/contacts/post-contacts-contact_id-actions/)
- **GET** `/contacts/{contact_id}/deals` — [Get all deals for a specific contact](https://developer.onepagecrm.com/api/reference/contacts/get-contacts-contact_id-deals/)
- **POST** `/contacts/{contact_id}/deals` — [Create a deal for a specific contact](https://developer.onepagecrm.com/api/reference/contacts/post-contacts-contact_id-deals/)
- **GET** `/contacts/{contact_id}/notes` — [Get all notes for a specific contact](https://developer.onepagecrm.com/api/reference/contacts/get-contacts-contact_id-notes/)
- **POST** `/contacts/{contact_id}/notes` — [Create a note for a specific contact](https://developer.onepagecrm.com/api/reference/contacts/post-contacts-contact_id-notes/)
- **GET** `/contacts/{contact_id}/calls` — [Get all calls for a specific contact](https://developer.onepagecrm.com/api/reference/contacts/get-contacts-contact_id-calls/)
- **POST** `/contacts/{contact_id}/calls` — [Create a call for a specific contact](https://developer.onepagecrm.com/api/reference/contacts/post-contacts-contact_id-calls/)
- **GET** `/contacts/{contact_id}/meetings` — [Get all meetings for a specific contact](https://developer.onepagecrm.com/api/reference/contacts/get-contacts-contact_id-meetings/)
- **POST** `/contacts/{contact_id}/meetings` — [Create a meeting for a specific contact](https://developer.onepagecrm.com/api/reference/contacts/post-contacts-contact_id-meetings/)
- **GET** `/contacts/{contact_id}/relationships` — [Get all relationships for a specific contact](https://developer.onepagecrm.com/api/reference/contacts/get-contacts-contact_id-relationships/)
- **POST** `/contacts/{contact_id}/relationships` — [Create a relationships for a specific contact](https://developer.onepagecrm.com/api/reference/contacts/post-contacts-contact_id-relationships/)
- **GET** `/contacts/{contact_id}/relationships/{relationship_id}` — [Get a specific relationship](https://developer.onepagecrm.com/api/reference/contacts/get-contacts-contact_id-relationships-relationship_id/)
- **PUT** `/contacts/{contact_id}/relationships/{relationship_id}` — [Update a specific relationship](https://developer.onepagecrm.com/api/reference/contacts/put-contacts-contact_id-relationships-relationship_id/)
- **DELETE** `/contacts/{contact_id}/relationships/{relationship_id}` — [Delete a relationship](https://developer.onepagecrm.com/api/reference/contacts/delete-contacts-contact_id-relationships-relationship_id/)
- **PUT** `/contacts/{contact_id}/assign_tag/{tag_name}` — [Assign a tag to a specific contact](https://developer.onepagecrm.com/api/reference/contacts/put-contacts-contact_id-assign_tag-tag_name/)
- **PUT** `/contacts/{contact_id}/unassign_tag/{tag_name}` — [Remove a tag from a specific contact](https://developer.onepagecrm.com/api/reference/contacts/put-contacts-contact_id-unassign_tag-tag_name/)
- **PUT** `/contacts/{contact_id}/change_status/{status_id}` — [Change the status of a specific contact](https://developer.onepagecrm.com/api/reference/contacts/put-contacts-contact_id-change_status-status_id/)
- **PUT** `/contacts/{contact_id}/change_owner/{owner_id}` — [Change the owner of a specific contact](https://developer.onepagecrm.com/api/reference/contacts/put-contacts-contact_id-change_owner-owner_id/)
- **PUT** `/contacts/{contact_id}/star` — [Apply a star to a specific contact](https://developer.onepagecrm.com/api/reference/contacts/put-contacts-contact_id-star/)
- **PUT** `/contacts/{contact_id}/unstar` — [Remove star from a specific contact](https://developer.onepagecrm.com/api/reference/contacts/put-contacts-contact_id-unstar/)
- **PUT** `/contacts/{contact_id}/close_sales_cycle` — [Close the sales cycle for a specific contact](https://developer.onepagecrm.com/api/reference/contacts/put-contacts-contact_id-close_sales_cycle/)
- **PUT** `/contacts/{contact_id}/force_close_sales_cycle` — [Force close the sales cycle for a specific contact](https://developer.onepagecrm.com/api/reference/contacts/put-contacts-contact_id-force_close_sales_cycle/)
- **PUT** `/contacts/{contact_id}/reopen_sales_cycle` — [Reopen the sales cycle for a specific contact](https://developer.onepagecrm.com/api/reference/contacts/put-contacts-contact_id-reopen_sales_cycle/)
- **PUT** `/contacts/{contact_id}/split` — [Split a contact from their current company (and potentially to a new company)](https://developer.onepagecrm.com/api/reference/contacts/put-contacts-contact_id-split/)
- **GET** `/contacts/{contact_id}/pinned_attachments` — [Get a list of attachments pinned to this contact](https://developer.onepagecrm.com/api/reference/contacts/get-contacts-contact_id-pinned_attachments/)
- **GET** `/contacts/cascade` — [Get contacts past the 10,000 contact in the account](https://developer.onepagecrm.com/api/reference/contacts/get-contacts-cascade/)
- **GET** `/contacts/cascade/{last_id}` — [Get contacts past the 10,000 contact in the account.](https://developer.onepagecrm.com/api/reference/contacts/get-contacts-cascade-last_id/)

### Companies — https://developer.onepagecrm.com/api/reference/companies/

- **GET** `/companies` — [Get a list of companies](https://developer.onepagecrm.com/api/reference/companies/get-companies/)
- **GET** `/companies/{company_id}` — [Get a specific company](https://developer.onepagecrm.com/api/reference/companies/get-companies-company_id/)
- **PUT** `/companies/{company_id}` — [Update a specific company](https://developer.onepagecrm.com/api/reference/companies/put-companies-company_id/)
- **GET** `/companies/{company_id}/actions` — [Get actions associated with a specific company](https://developer.onepagecrm.com/api/reference/companies/get-companies-company_id-actions/)
- **GET** `/companies/{company_id}/deals` — [Get deals associated with a specific company](https://developer.onepagecrm.com/api/reference/companies/get-companies-company_id-deals/)
- **GET** `/companies/{company_id}/notes` — [Get notes associated with a specific company](https://developer.onepagecrm.com/api/reference/companies/get-companies-company_id-notes/)
- **GET** `/companies/{company_id}/calls` — [Get calls associated with a specific company](https://developer.onepagecrm.com/api/reference/companies/get-companies-company_id-calls/)
- **GET** `/companies/{company_id}/meetings` — [Get meetings associated with a specific company](https://developer.onepagecrm.com/api/reference/companies/get-companies-company_id-meetings/)
- **GET** `/companies/{company_id}/linked_contacts` — [Get contacts linked with a specific company](https://developer.onepagecrm.com/api/reference/companies/get-companies-company_id-linked_contacts/)
- **POST** `/companies/{company_id}/linked_contacts` — [Link a contact to a specific company](https://developer.onepagecrm.com/api/reference/companies/post-companies-company_id-linked_contacts/)
- **DELETE** `/companies/{company_id}/linked_contacts/{contact_id}` — [Unlink a contact from a company](https://developer.onepagecrm.com/api/reference/companies/delete-companies-company_id-linked_contacts-contact_id/)
- **POST** `/companies/{company_id}/synced_status` — [Enable company status sync](https://developer.onepagecrm.com/api/reference/companies/post-companies-company_id-synced_status/)
- **DELETE** `/companies/{company_id}/synced_status` — [Disable company status sync](https://developer.onepagecrm.com/api/reference/companies/delete-companies-company_id-synced_status/)
- **GET** `/companies/{company_id}/pinned_attachments` — [Get the list of attachments pinned to this company](https://developer.onepagecrm.com/api/reference/companies/get-companies-company_id-pinned_attachments/)
- **PATCH** `/companies/{company_id}/logo` — [Update the company logo](https://developer.onepagecrm.com/api/reference/companies/patch-companies-company_id-logo/)
- **DELETE** `/companies/{company_id}/logo` — [Delete the company logo](https://developer.onepagecrm.com/api/reference/companies/delete-companies-company_id-logo/)

### Deals — https://developer.onepagecrm.com/api/reference/deals/

- **GET** `/deals` — [Get a list of deals](https://developer.onepagecrm.com/api/reference/deals/get-deals/)
- **POST** `/deals` — [Create a deal](https://developer.onepagecrm.com/api/reference/deals/post-deals/)
- **GET** `/deals/{deal_id}` — [Get a specific deal](https://developer.onepagecrm.com/api/reference/deals/get-deals-deal_id/)
- **PUT** `/deals/{deal_id}` — [Update a specific deal](https://developer.onepagecrm.com/api/reference/deals/put-deals-deal_id/)
- **DELETE** `/deals/{deal_id}` — [Delete a specific deal](https://developer.onepagecrm.com/api/reference/deals/delete-deals-deal_id/)
- **POST** `/deals/{deal_id}/attachments` — [Create attachment and assign it to an existing deal](https://developer.onepagecrm.com/api/reference/deals/post-deals-deal_id-attachments/)

### Actions — https://developer.onepagecrm.com/api/reference/actions/

- **GET** `/actions` — [Get a list of actions](https://developer.onepagecrm.com/api/reference/actions/get-actions/)
- **POST** `/actions` — [Create an action](https://developer.onepagecrm.com/api/reference/actions/post-actions/)
- **GET** `/actions/{action_id}` — [Get a specific action](https://developer.onepagecrm.com/api/reference/actions/get-actions-action_id/)
- **PUT** `/actions/{action_id}` — [Update a specific action](https://developer.onepagecrm.com/api/reference/actions/put-actions-action_id/)
- **DELETE** `/actions/{action_id}` — [Delete a specific action](https://developer.onepagecrm.com/api/reference/actions/delete-actions-action_id/)
- **PUT** `/actions/{action_id}/unassign` — [Unassign a specific action (from the currently assigned user)](https://developer.onepagecrm.com/api/reference/actions/put-actions-action_id-unassign/)
- **PUT** `/actions/{action_id}/mark_as_done` — [Mark a specific action as complete](https://developer.onepagecrm.com/api/reference/actions/put-actions-action_id-mark_as_done/)
- **PUT** `/actions/{action_id}/undo_completion` — [Undo action completion](https://developer.onepagecrm.com/api/reference/actions/put-actions-action_id-undo_completion/)
- **PUT** `/actions/{action_id}/promote` — [Specify action to be promoted as the logged API users next action](https://developer.onepagecrm.com/api/reference/actions/put-actions-action_id-promote/)
- **PUT** `/actions/{action_id}/revert_promotion` — [Undo action promotion](https://developer.onepagecrm.com/api/reference/actions/put-actions-action_id-revert_promotion/)
- **PUT** `/actions/{action_id}/swap` — [Specify action to be swapped in as the logged API users next action](https://developer.onepagecrm.com/api/reference/actions/put-actions-action_id-swap/)

### Notes — https://developer.onepagecrm.com/api/reference/notes/

- **GET** `/notes` — [Get a list of notes](https://developer.onepagecrm.com/api/reference/notes/get-notes/)
- **POST** `/notes` — [Create a note](https://developer.onepagecrm.com/api/reference/notes/post-notes/)
- **GET** `/notes/{note_id}` — [Get a specific note](https://developer.onepagecrm.com/api/reference/notes/get-notes-note_id/)
- **PUT** `/notes/{note_id}` — [Update a specific note](https://developer.onepagecrm.com/api/reference/notes/put-notes-note_id/)
- **DELETE** `/notes/{note_id}` — [Delete a specific note](https://developer.onepagecrm.com/api/reference/notes/delete-notes-note_id/)
- **POST** `/notes/{note_id}/attachments` — [Create attachment and assign it to an existing note](https://developer.onepagecrm.com/api/reference/notes/post-notes-note_id-attachments/)

### Calls — https://developer.onepagecrm.com/api/reference/calls/

- **GET** `/calls` — [Get a list of calls](https://developer.onepagecrm.com/api/reference/calls/get-calls/)
- **POST** `/calls` — [Create a call](https://developer.onepagecrm.com/api/reference/calls/post-calls/)
- **GET** `/calls/{call_id}` — [Get a specific call](https://developer.onepagecrm.com/api/reference/calls/get-calls-call_id/)
- **PUT** `/calls/{call_id}` — [Update a specific call](https://developer.onepagecrm.com/api/reference/calls/put-calls-call_id/)
- **DELETE** `/calls/{call_id}` — [Delete a specific call](https://developer.onepagecrm.com/api/reference/calls/delete-calls-call_id/)
- **POST** `/calls/{call_id}/attachments` — [Create attachment and assign it to an existing call](https://developer.onepagecrm.com/api/reference/calls/post-calls-call_id-attachments/)
- **GET** `/call_results` — [Get the list of call results (for the logged API user's account)](https://developer.onepagecrm.com/api/reference/calls/get-call_results/)

### Meetings — https://developer.onepagecrm.com/api/reference/meetings/

- **GET** `/meetings` — [Get a list of meetings](https://developer.onepagecrm.com/api/reference/meetings/get-meetings/)
- **POST** `/meetings` — [Create a meeting](https://developer.onepagecrm.com/api/reference/meetings/post-meetings/)
- **GET** `/meetings/{meeting_id}` — [Get a specific meeting](https://developer.onepagecrm.com/api/reference/meetings/get-meetings-meeting_id/)
- **PUT** `/meetings/{meeting_id}` — [Update a specific meeting](https://developer.onepagecrm.com/api/reference/meetings/put-meetings-meeting_id/)
- **DELETE** `/meetings/{meeting_id}` — [Delete a specific meeting](https://developer.onepagecrm.com/api/reference/meetings/delete-meetings-meeting_id/)
- **POST** `/meetings/{meeting_id}/attachments` — [Create attachment and assign it to an existing meeting](https://developer.onepagecrm.com/api/reference/meetings/post-meetings-meeting_id-attachments/)

### Attachments — https://developer.onepagecrm.com/api/reference/attachments/

- **GET** `/attachments/s3_form` — [Get a pre-authorized S3 upload form (use to upload a file on the client side)](https://developer.onepagecrm.com/api/reference/attachments/get-attachments-s3_form/)
- **POST** `/attachments` — [Create a new attachment](https://developer.onepagecrm.com/api/reference/attachments/post-attachments/)
- **PATCH** `/attachments/{attachment_id}` — [Sets/updates attachment custom file name](https://developer.onepagecrm.com/api/reference/attachments/patch-attachments-attachment_id/)
- **DELETE** `/attachments/{attachment_id}` — [Delete a specific attachment](https://developer.onepagecrm.com/api/reference/attachments/delete-attachments-attachment_id/)
- **PATCH** `/attachments/{attachment_id}/pin` — [Pin attachment to its owner contact through its note/call/deal](https://developer.onepagecrm.com/api/reference/attachments/patch-attachments-attachment_id-pin/)
- **PATCH** `/attachments/{attachment_id}/unpin` — [Unpin attachment from its owner contact through its note/call/deal](https://developer.onepagecrm.com/api/reference/attachments/patch-attachments-attachment_id-unpin/)

## Streams

### Action Stream — https://developer.onepagecrm.com/api/reference/action-stream/

- **GET** `/action_stream` — [Get a list of contacts prioritized by their next action](https://developer.onepagecrm.com/api/reference/action-stream/get-action_stream/)

### Team Stream — https://developer.onepagecrm.com/api/reference/team-stream/

- **GET** `/team_stream` — [Get a list of contacts prioritized by their next action](https://developer.onepagecrm.com/api/reference/team-stream/get-team_stream/)

## Events & Webhooks

### Web Hooks — https://developer.onepagecrm.com/api/reference/web-hooks/

- **GET** `/webhooks` — [Get all webhooks (associated with the logged API user's account)](https://developer.onepagecrm.com/api/reference/web-hooks/get-webhooks/)
- **GET** `/webhooks/{webhook_id}` — [Get a specific webhook](https://developer.onepagecrm.com/api/reference/web-hooks/get-webhooks-webhook_id/)
- **DELETE** `/webhooks/{webhook_id}` — [Delete a specific webhook](https://developer.onepagecrm.com/api/reference/web-hooks/delete-webhooks-webhook_id/)

### Notifications — https://developer.onepagecrm.com/api/reference/notifications/

- **GET** `/notifications` — [Get a list of notifications that user has](https://developer.onepagecrm.com/api/reference/notifications/get-notifications/)
- **GET** `/notifications/{notification_id}` — [Get serialised notification by ID](https://developer.onepagecrm.com/api/reference/notifications/get-notifications-notification_id/)
- **POST** `/notifications/{notification_id}/mark_as_read` — [Marks given notification as read](https://developer.onepagecrm.com/api/reference/notifications/post-notifications-notification_id-mark_as_read/)
- **POST** `/notifications/mark_all_as_read` — [Marks all users' notifications as read](https://developer.onepagecrm.com/api/reference/notifications/post-notifications-mark_all_as_read/)

## Search & Filtering

### Filters — https://developer.onepagecrm.com/api/reference/filters/

- **GET** `/filters` — [Get the list of custom filters (for the logged API user's account)](https://developer.onepagecrm.com/api/reference/filters/get-filters/)
- **GET** `/filters/{filter_id}` — [Get (and run) a specific custom filter](https://developer.onepagecrm.com/api/reference/filters/get-filters-filter_id/)

## CRM Configuration

### Statuses — https://developer.onepagecrm.com/api/reference/statuses/

- **GET** `/statuses` — [Get the list of statuses (for the logged API user's account)](https://developer.onepagecrm.com/api/reference/statuses/get-statuses/)
- **POST** `/statuses` — [Create a new status](https://developer.onepagecrm.com/api/reference/statuses/post-statuses/)
- **GET** `/statuses/{status_id}` — [Get a specific status](https://developer.onepagecrm.com/api/reference/statuses/get-statuses-status_id/)
- **PUT** `/statuses/{status_id}` — [Update a specific status](https://developer.onepagecrm.com/api/reference/statuses/put-statuses-status_id/)
- **DELETE** `/statuses/{status_id}` — [Delete a specific status](https://developer.onepagecrm.com/api/reference/statuses/delete-statuses-status_id/)

### Pipelines — https://developer.onepagecrm.com/api/reference/pipelines/

- **GET** `/pipelines` — [Get all pipelines (associated with the logged API user's account)](https://developer.onepagecrm.com/api/reference/pipelines/get-pipelines/)
- **GET** `/pipelines/{pipeline_id}` — [Get a specific pipeline](https://developer.onepagecrm.com/api/reference/pipelines/get-pipelines-pipeline_id/)

### Lead Sources — https://developer.onepagecrm.com/api/reference/lead-sources/

- **GET** `/lead_sources` — [Get the list of lead sources (for the logged API user's account)](https://developer.onepagecrm.com/api/reference/lead-sources/get-lead_sources/)
- **POST** `/lead_sources` — [Create a new lead source](https://developer.onepagecrm.com/api/reference/lead-sources/post-lead_sources/)
- **GET** `/lead_sources/{lead_source_id}` — [Get a specific lead source](https://developer.onepagecrm.com/api/reference/lead-sources/get-lead_sources-lead_source_id/)
- **PUT** `/lead_sources/{lead_source_id}` — [Update a specific lead source](https://developer.onepagecrm.com/api/reference/lead-sources/put-lead_sources-lead_source_id/)
- **DELETE** `/lead_sources/{lead_source_id}` — [Delete a specific lead source](https://developer.onepagecrm.com/api/reference/lead-sources/delete-lead_sources-lead_source_id/)

### Relationship Types — https://developer.onepagecrm.com/api/reference/relationship-types/

- **GET** `/relationship_types` — [Get a list of relationship types](https://developer.onepagecrm.com/api/reference/relationship-types/get-relationship_types/)
- **POST** `/relationship_types` — [Create a new relationship type](https://developer.onepagecrm.com/api/reference/relationship-types/post-relationship_types/)
- **GET** `/relationship_types/{relationship_type_id}` — [Get a specific relationship type](https://developer.onepagecrm.com/api/reference/relationship-types/get-relationship_types-relationship_type_id/)
- **PUT** `/relationship_types/{relationship_type_id}` — [Update a specific relationship type](https://developer.onepagecrm.com/api/reference/relationship-types/put-relationship_types-relationship_type_id/)
- **DELETE** `/relationship_types/{relationship_type_id}` — [Delete a relationship type](https://developer.onepagecrm.com/api/reference/relationship-types/delete-relationship_types-relationship_type_id/)

### Custom Fields — https://developer.onepagecrm.com/api/reference/custom-fields/

- **GET** `/custom_fields` — [Get the list of custom fields (for the logged API user's account)](https://developer.onepagecrm.com/api/reference/custom-fields/get-custom_fields/)
- **POST** `/custom_fields` — [Create a new custom field](https://developer.onepagecrm.com/api/reference/custom-fields/post-custom_fields/)
- **GET** `/custom_fields/{custom_field_id}` — [Get a specific custom field](https://developer.onepagecrm.com/api/reference/custom-fields/get-custom_fields-custom_field_id/)
- **PUT** `/custom_fields/{custom_field_id}` — [Update a specific custom field](https://developer.onepagecrm.com/api/reference/custom-fields/put-custom_fields-custom_field_id/)
- **DELETE** `/custom_fields/{custom_field_id}` — [Delete a specific custom field](https://developer.onepagecrm.com/api/reference/custom-fields/delete-custom_fields-custom_field_id/)

### Company Fields — https://developer.onepagecrm.com/api/reference/company-fields/

- **GET** `/company_fields` — [Get the list of company fields (for the logged API user's account)](https://developer.onepagecrm.com/api/reference/company-fields/get-company_fields/)
- **POST** `/company_fields` — [Create a new company field](https://developer.onepagecrm.com/api/reference/company-fields/post-company_fields/)
- **GET** `/company_fields/{company_field_id}` — [Get a specific company field](https://developer.onepagecrm.com/api/reference/company-fields/get-company_fields-company_field_id/)
- **PUT** `/company_fields/{company_field_id}` — [Update a specific company field](https://developer.onepagecrm.com/api/reference/company-fields/put-company_fields-company_field_id/)
- **DELETE** `/company_fields/{company_field_id}` — [Delete a specific company field](https://developer.onepagecrm.com/api/reference/company-fields/delete-company_fields-company_field_id/)

### Deal Fields — https://developer.onepagecrm.com/api/reference/deal-fields/

- **GET** `/deal_fields` — [Get the list of deal fields (for the logged API user's account)](https://developer.onepagecrm.com/api/reference/deal-fields/get-deal_fields/)
- **POST** `/deal_fields` — [Create a deal field](https://developer.onepagecrm.com/api/reference/deal-fields/post-deal_fields/)
- **GET** `/deal_fields/{deal_field_id}` — [Get a specific deal field](https://developer.onepagecrm.com/api/reference/deal-fields/get-deal_fields-deal_field_id/)
- **PUT** `/deal_fields/{deal_field_id}` — [Update a specific deal field](https://developer.onepagecrm.com/api/reference/deal-fields/put-deal_fields-deal_field_id/)
- **DELETE** `/deal_fields/{deal_field_id}` — [Delete a specific deal field](https://developer.onepagecrm.com/api/reference/deal-fields/delete-deal_fields-deal_field_id/)

## Predefined Content

### Predefined Actions — https://developer.onepagecrm.com/api/reference/predefined-actions/

- **GET** `/predefined_actions` — [Get the list of predefined actions (for the logged API user's account)](https://developer.onepagecrm.com/api/reference/predefined-actions/get-predefined_actions/)
- **POST** `/predefined_actions` — [Create a new predefined action](https://developer.onepagecrm.com/api/reference/predefined-actions/post-predefined_actions/)
- **GET** `/predefined_actions/{predefined_action_id}` — [Get a specific predefined action](https://developer.onepagecrm.com/api/reference/predefined-actions/get-predefined_actions-predefined_action_id/)
- **PUT** `/predefined_actions/{predefined_action_id}` — [Update a specific predefined action](https://developer.onepagecrm.com/api/reference/predefined-actions/put-predefined_actions-predefined_action_id/)
- **DELETE** `/predefined_actions/{predefined_action_id}` — [Delete a specific predefined action](https://developer.onepagecrm.com/api/reference/predefined-actions/delete-predefined_actions-predefined_action_id/)

### Predefined Action Groups — https://developer.onepagecrm.com/api/reference/predefined-action-groups/

- **GET** `/predefined_action_groups` — [Get the list of predefined action groups (for the logged API user's account)](https://developer.onepagecrm.com/api/reference/predefined-action-groups/get-predefined_action_groups/)
- **POST** `/predefined_action_groups` — [Create a new predefined action group](https://developer.onepagecrm.com/api/reference/predefined-action-groups/post-predefined_action_groups/)
- **GET** `/predefined_action_groups/{predefined_action_group_id}` — [Get a specific predefined action group](https://developer.onepagecrm.com/api/reference/predefined-action-groups/get-predefined_action_groups-predefined_action_group_id/)
- **PUT** `/predefined_action_groups/{predefined_action_group_id}` — [Update a specific predefined action group](https://developer.onepagecrm.com/api/reference/predefined-action-groups/put-predefined_action_groups-predefined_action_group_id/)
- **DELETE** `/predefined_action_groups/{predefined_action_group_id}` — [Delete a specific predefined action group](https://developer.onepagecrm.com/api/reference/predefined-action-groups/delete-predefined_action_groups-predefined_action_group_id/)

### Predefined Items — https://developer.onepagecrm.com/api/reference/predefined-items/

- **GET** `/predefined_items` — [Get the list of predefined items (for the logged API user's account)](https://developer.onepagecrm.com/api/reference/predefined-items/get-predefined_items/)
- **POST** `/predefined_items` — [Create a new predefined item](https://developer.onepagecrm.com/api/reference/predefined-items/post-predefined_items/)
- **GET** `/predefined_items/{predefined_item_id}` — [Get a specific predefined item](https://developer.onepagecrm.com/api/reference/predefined-items/get-predefined_items-predefined_item_id/)
- **PUT** `/predefined_items/{predefined_item_id}` — [Update a specific predefined item](https://developer.onepagecrm.com/api/reference/predefined-items/put-predefined_items-predefined_item_id/)
- **DELETE** `/predefined_items/{predefined_item_id}` — [Delete a specific predefined item](https://developer.onepagecrm.com/api/reference/predefined-items/delete-predefined_items-predefined_item_id/)

### Predefined Item Groups — https://developer.onepagecrm.com/api/reference/predefined-item-groups/

- **GET** `/predefined_item_groups` — [Get the list of predefined item groups (for the logged API user's account)](https://developer.onepagecrm.com/api/reference/predefined-item-groups/get-predefined_item_groups/)
- **POST** `/predefined_item_groups` — [Create a new predefined item group](https://developer.onepagecrm.com/api/reference/predefined-item-groups/post-predefined_item_groups/)
- **GET** `/predefined_item_groups/{predefined_item_group_id}` — [Get a specific predefined item group](https://developer.onepagecrm.com/api/reference/predefined-item-groups/get-predefined_item_groups-predefined_item_group_id/)
- **DELETE** `/predefined_item_groups/{predefined_item_group_id}` — [Delete a specific predefined item group](https://developer.onepagecrm.com/api/reference/predefined-item-groups/delete-predefined_item_groups-predefined_item_group_id/)

## Account & Reference

### Bootstrap — https://developer.onepagecrm.com/api/reference/bootstrap/

- **GET** `/bootstrap` — [Get useful information about the logged API user's account](https://developer.onepagecrm.com/api/reference/bootstrap/get-bootstrap/)
- **POST** `/change_auth_key` — [Invalidate the current API key and return a new API key](https://developer.onepagecrm.com/api/reference/bootstrap/post-change_auth_key/)

### Users — https://developer.onepagecrm.com/api/reference/users/

- **GET** `/users` — [Get the list of users (for the logged API user's account)](https://developer.onepagecrm.com/api/reference/users/get-users/)
- **GET** `/users/{user_id}` — [Get a specific user](https://developer.onepagecrm.com/api/reference/users/get-users-user_id/)
- **PUT** `/users/{user_id}` — [Update a specific user](https://developer.onepagecrm.com/api/reference/users/put-users-user_id/)

### Countries — https://developer.onepagecrm.com/api/reference/countries/

- **GET** `/countries` — [Get the list of all compatible countries](https://developer.onepagecrm.com/api/reference/countries/get-countries/)
